<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Lista de Productos Traspasados a Almacen';
$traspa_codigo = DataForms::GET('id');
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:green;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div >										
										<table class="display table table-striped table-hover" >
											<thead>
												<tr>
													<th>N&ordm;</th>																										
													<th>Producto</th>
													<th>Cantidad</th>													
													<th>unidades <br> en caja</th>
													<th>almacen</th>
													<th>fecha</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$db=new DB();
											$Ubicaciones = new DB();
											$Almacenes = new DB();

											$sql = "SELECT * FROM inventarios_traspasos tras, inventarios_productos prod
											WHERE tras.prod_codigo = prod.prod_codigo 
											AND tras.traspa_codigo = '$traspa_codigo';";											
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){												
											$i++;
												$traspa_codigo = $db->dbField('traspa_codigo');
												$ubica_codigo = $db->dbField('ubica_codigo');
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_cantidad = $db->dbField('prod_cantidad');
												$traspa_usid = $db->dbField('traspa_usid');
												$traspa_fecha = $db->dbField('traspa_fecha');
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_observaciones = $db->dbField('prod_observaciones');
												
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');
												$prod_preciounitario = $db->dbField('prod_preciounitario');

												//ubicacion del producto
												$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones
												WHERE ubica_codigo = '$ubica_codigo';";
												$Ubicaciones->dbSQL($sqlUbicaciones);
												$Ubicaciones->next();
												$UbicaNombre = $Ubicaciones->dbField('ubica_nombre');
												//seleccionar almacen destino
												$sqlAlmacenes = "SELECT * FROM inventarios_traspasos tras, inventarios_ubicaciones ubic
												WHERE tras.ubica_codigo = ubic.ubica_codigo
												AND tras.traspa_codigo = '$traspa_codigo ';";
												$Almacenes->dbSQL($sqlAlmacenes);
												$Almacenes->next();
												$AlmacenDestino = $Almacenes->dbField('ubica_nombre');
												$AlmacenColor = $Almacenes->dbField('ubica_color');
												$html.='<tr>';
													$html.='<td width="1%" align=center>'.$i.'</td>';
													$html.='<td><b>'.strtoupper($prod_nombre).'</b><br>
													<b>Item: </b> '.$prod_item.'<br>
													<b>Ubicaci&oacute;n:</b> '.$UbicaNombre.'<br>
													</td>';
													$html.='<td align=right>'.$prod_cantidad.' cajas</td>';
													$html.='<td align=right>'.$prod_piezascaja.' u.</td>';
													$html.='<td align=center>
													<span style="background:'.$AlmacenColor.';color:black;padding:3px 7px;">'.$AlmacenDestino.'</style></td>';
													$html.='<td align=right>'.$traspa_fecha.'</td>';
												$html.='</tr>';
												
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
										<center>
											<button class="btn btn-primary" id="btnImprimir">IMPRIMIR</button>
										</center>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$('#btnImprimir').click(function(){
	$(this).hide();
	window.print();	
});
</script>